> ## Documentation Index
> Fetch the complete documentation index at: https://boosterberg.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Boosted Pages grouped by facebook page or instagram account (for dashboard)



## OpenAPI

````yaml https://api.boosterberg.com-beta.com/v1/doc/api-json post /boosted-pages/sources
openapi: 3.0.0
info:
  title: Boosterberg API
  description: REST API For Boosterberg user-facing application
  contact:
    name: Miloslav Kona
    email: mkona@bykd.com
  version: '1.0'
servers:
  - url: https://api.boosterberg.com-beta.com/v1
    description: dev server
  - url: https://auto.boost.api/v1
    description: local
  - url: https://api.boosterberg.com/v1
    description: production
security: []
tags:
  - name: Posts
    description: Post lifecycle and evaluation data across all campaigns
paths:
  /boosted-pages/sources:
    post:
      summary: >-
        Get Boosted Pages grouped by facebook page or instagram account (for
        dashboard)
      operationId: 7b584c5e41ed345da7cfd441481ed2ca
      requestBody:
        description: ''
        required: true
        content:
          application/json:
            schema:
              properties:
                status:
                  type: string
                  default: all
                  enum:
                    - all
                    - active
                platform:
                  type: string
                  default: all
                  enum:
                    - all
                    - facebook
                    - instagram
              type: object
      responses:
        '200':
          description: Returns array of Boosted Pages Objects
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BoostedPage'
      security:
        - bearerAuth: []
components:
  schemas:
    BoostedPage:
      properties:
        id:
          type: integer
        active:
          type: boolean
          example: '1'
        page_id:
          type: integer
          example: '123456789'
        instagram_id:
          type: integer
          example: '123456789'
        preset_id:
          type: integer
          example: '123456789'
        campaign_budget_type:
          type: string
          enum:
            - daily
            - lifetime
        campaign_budget_value:
          type: number
          example: '10'
        adset_budget_sharing_enabled:
          type: boolean
          example: false
        campaign_bid_strategy_enabled:
          type: boolean
          example: false
        campaign_bid_strategy:
          type: string
          enum:
            - LOWEST_COST_WITHOUT_CAP
            - COST_CAP
            - LOWEST_COST_WITH_BID_CAP
        campaign_bid_amount:
          type: number
          example: '1.50'
        goal:
          type: string
          enum:
            - POST_ENGAGEMENT
            - LINK_CLICKS
            - CONVERSIONS
            - REACH
            - BRAND_AWARENESS
            - APP_INSTALLS
            - VIDEO_VIEWS
        audience_targeting:
          type: object
        hashtag:
          type: string
        page:
          properties:
            id:
              type: integer
            name:
              type: string
            picture:
              type: string
          type: object
        instagram:
          properties:
            id:
              type: integer
            name:
              type: string
            picture:
              type: string
          type: object
        preset:
          type: object
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      bearerFormat: JWT
      scheme: bearer

````